Bug 817050 - Provide a way to use multiple JS files in non-interactive mode
Provide a way to use multiple JS files in non-interactive mode
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: CLI (Show other bugs)
4.4
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-27 10:07 EDT by Libor Zoubek
Modified: 2015-11-01 19:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-05 10:27:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2012-04-27 10:07:22 EDT
Description of problem: Our JS codebase is growing and we are experiencing duplicating code. We tend to write some common.js script that would contain common functions, that would be reused in other scripts. 

Currently RHQ Client does not provide a way to include or import one JS into another or pass multiple JS files as arguments.

Version-Release number of selected component (if applicable):
RHQ 4.4
  
According to http://workingrhino.blogspot.com/2007/10/readdir.html there is a 'load' function, that could be part of one JS file to import another. In RHQ client this function is not available.

Another way would be allowing to pass multiple files to -f option of CLI
Comment 1 Mike Foley 2012-04-30 12:02:08 EDT
triaged 4/30/2012 by loleary, ccrouch, mfoley
Comment 2 Libor Zoubek 2014-09-05 10:27:57 EDT
fixed long time ago by adding commonjs module support

Note You need to log in before you can comment on or make changes to this bug.